#
# spec file for package perl-Module-Metadata
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Module-Metadata
Version:        1.000027
Release:        7.3
%define cpan_name Module-Metadata
Summary:        Gather package and POD information from perl module files
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Module-Metadata/
Source:         http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.82
BuildRequires:  perl(version) >= 0.87
Requires:       perl(version) >= 0.87
%{perl_requires}

%description
This module provides a standard way to gather metadata about a .pm file
through (mostly) static analysis and (some) code execution. When
determining the version of a module, the '$VERSION' assignment is 'eval'ed,
as is traditional in the CPAN toolchain.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENSE README

%changelog
* Sun May 10 2015 lars@linux-schulserver.de
- build require perl(Test::More) >= 0.82
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.000027
  see /usr/share/doc/packages/perl-Module-Metadata/Changes
  1.000027  2015-04-11 00:21:26Z
  - work around issues with an unconfigured Log::Contextual (Kent Fredric)
  - allow tests to pass in a perl with no taint support (James Raspass)
* Sat Feb  7 2015 dnh@opensuse.org
- update to 1.000026
  1.000026  2015-01-17 19:22:34Z
  - patched tests to be less noisy in blead builds (Dave Mitchell, RT#101491)
  1.000025  2015-01-04 18:56:00Z
  - evaluate version assignment in a clean environment, to fix assignment in a
    block (RT#101095)
  1.000024  2014-06-03 01:52:46Z
  - fix inaccurate prerequisite declaration on Test::More (in 1.000023)
  1.000023  2014-06-02 02:37:17Z
  - support installations on older perls with an ExtUtils::MakeMaker earlier
    than 6.63_03
  1.000022 - 2014-04-29
  - work around change in comparison behaviour in Test::More 0.95_01 by being
    more explicit with our tests - now explicitly checking the string form of
    the extracted version, rather than the entire version object
  - ensure the extracted version is returned as a version object in all cases
    (RT#87782, Randy Stauner)
  1.000021 - 2014-04-29
  - fix use of newer interface from File::Path, to avoid another prereq on
    older perls (Graham Knop, PR#7)
  - fixed all out of date prereq declarations
  1.000020 - 2014-04-27
  - new is_indexable() object method (ether, RT#84357)
  - eliminated dependency on IO::File (and by virtue, XS) - thanks, leont!
  - removed cruft in test infrastructure left behind from separation from
    Module::Build (ether)
  - repository moved to https://github.com/Perl-Toolchain-Gang/Module-Metadata
  - .pm file is now wholly ascii, for nicer fatpacking (RT#95086)
  - some code micro-optimizations (Olivier Mengué, PR#4)
* Fri Jan 17 2014 lars@linux-schulserver.de
- update to 1.000019:
  - warnings now disabled inside during the evaluation of generated version
    sub (BinGOs, RT#89282)
  - detaint version, if needed (RT#88576, Chris Williams)
  - Change wording about safety/security to satisfy CVE-2013-1437
  - Remove "now installs to 'site' for perl 5.12+" from last version
  - Fix reliance on recent Test::Builder
  - Make tests perl 5.6 compatible
  - now installs to 'site' for perl 5.12+, as per p5p recommendation
  - improved package detection heuristics (thanks, Edward Zborowski!)
  - fix ->contains_pod (RT#84932, Tokuhiro Matsuno)
  - fix detection of pod after __END__ (RT79656, Tokuhiro Matsuno)
  - Performance improvement: the creation of a Module::Metadata object
    for a typical module file has been sped up by about 40%% (VPIT)
  - Fix t/metadata.t failure under Cygwin (JDHEDDEN)
  - Portability fix-ups for new_from_module() and test failures on VMS (CBERRY)
* Sat Jul 14 2012 chris@computersalat.de
- initial package 1.000009
  * created by cpanspec 1.78.03
